version: '3'

services:
  db:
    image: 'postgres:10-alpine'
    environment:
      - POSTGRES_PASSWORD=skillbox
      - POSTGRES_USER=skillbox
      - POSTGRES_DB=skillbox
    volumes:
      - helloclassdb:/var/lib/postgresql/data
  web:
    build: .
    command: ["./wait-for-postgres.sh", "db", "python", "manage.py", "runserver", "0.0.0.0:8000"]
    volumes:
      - "./server:/app"
      - "./client:/client"
    ports:
      - "8000:8000"
    depends_on:
      - db

volumes:
  helloclassdb: